## dynare 6.0

=== debian/changelog ===
dynare (6.0-1) unstable; urgency=medium

  * New upstream version 6.0
  * Adapt autopkgtest for new location of test files
  * d/upstream/metadata: update citation

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 05 Feb 2024 09:15:09 +0100

dynare (6~beta2-1) experimental; urgency=medium

  * New upstream version 6~beta2
  * d/copyright: reflect upstream changes
  * meson.patch: drop patch, applied upstream

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 22 Jan 2024 18:59:22 +0100

dynare (6~beta1-1) experimental; urgency=medium

  * New upstream version 6~beta1
  * Packaging overhaul following the switch to meson build system.
    Also:
    – remove dependencies on {octave,matlab}-jsonlab, no longer needed.
    – drop dynare++ binary, no longer produced
  * d/copyright: reflect upstream changes
  * README.Debian: no longer mention the upstream Wiki
  * d/upstream/metadata: update paper citation

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 03 Jan 2024 18:46:39 +0100

dynare (5.5-1) unstable; urgency=medium

  * New upstream version 5.5
  * d/copyright: reflect upstream changes
  * gcc-13.patch: drop patch, applied upstream
  * Upstream tarballs are no longer PGP-signed

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 24 Oct 2023 11:40:31 +0200

=== debian/control ===
Source: dynare
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-elpa,
               dh-octave,
               gfortran,
               octave-dev,
               libboost-graph-dev,
               libmatio-dev,
               libgsl-dev,
               libslicot-dev,
               libsuitesparse-dev,
               flex,
               libfl-dev,
               bison,
               meson,
               pkgconf,
               tex-gyre,
               texlive,
               texlive-publishers,
               texlive-latex-extra,
               texlive-fonts-extra,
               texlive-science,
               texlive-plain-generic,
               lmodern,
               python3-sphinx,
               latexmk,
               libjs-mathjax
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dynare
Vcs-Git: https://salsa.debian.org/pkg-octave-team/dynare.git
Homepage: https://www.dynare.org/
Rules-Requires-Root: no

Package: dynare
Architecture: any
Depends: ${octave:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         octave-statistics
Recommends: octave-dev,
            octave-optim,
            octave-io,
            octave-control
Suggests: dynare-doc,
          dynare-matlab,
          x13as
Breaks: dynare-common
Replaces: dynare-common
Description: platform for handling a wide class of economic models
 Dynare is a software platform for handling a wide class of economic models, in
 particular dynamic stochastic general equilibrium (DSGE) and overlapping
 generations (OLG) models. The models solved by Dynare include those relying on
 the rational expectations hypothesis, wherein agents form their expectations
 about the future in a way consistent with the model. But Dynare is also able
 to handle models where expectations are formed differently: on one extreme,
 models where agents perfectly anticipate the future; on the other extreme,
 models where agents have limited rationality or imperfect knowledge of the
 state of the economy and, hence, form their expectations through a learning
 process. In terms of types of agents, models solved by Dynare can incorporate
 consumers, productive firms, governments, monetary authorities, investors and
 financial intermediaries. Some degree of heterogeneity can be achieved by
 including several distinct classes of agents in each of the aforementioned
 agent categories.
 .
 Dynare offers a user-friendly and intuitive way of describing these models. It
 is able to perform simulations of the model given a calibration of the model
 parameters and is also able to estimate these parameters given a dataset. In
 practice, the user will write a text file containing the list of model
 variables, the dynamic equations linking these variables together, the
 computing tasks to be performed and the desired graphical or numerical
 outputs.
 .
 This package provides a full installation of Dynare, to be run on top of GNU
 Octave.

Package: dynare-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Multi-Arch: foreign
Description: documentation for Dynare
 Dynare is a software platform for handling a wide class of economic models, in
 particular dynamic stochastic general equilibrium (DSGE) and overlapping
 generations (OLG) models. The models solved by Dynare include those relying on
 the rational expectations hypothesis, wherein agents form their expectations
 about the future in a way consistent with the model. But Dynare is also able
 to handle models where expectations are formed differently: on one extreme,
 models where agents perfectly anticipate the future; on the other extreme,
 models where agents have limited rationality or imperfect knowledge of the
 state of the economy and, hence, form their expectations through a learning
 process. In terms of types of agents, models solved by Dynare can incorporate
 consumers, productive firms, governments, monetary authorities, investors and
 financial intermediaries. Some degree of heterogeneity can be achieved by
 including several distinct classes of agents in each of the aforementioned
 agent categories.
 .
 Dynare offers a user-friendly and intuitive way of describing these models. It
 is able to perform simulations of the model given a calibration of the model
 parameters and is also able to estimate these parameters given a dataset. In
 practice, the user will write a text file containing the list of model
 variables, the dynamic equations linking these variables together, the
 computing tasks to be performed and the desired graphical or numerical
 outputs.
 .
 This package contains full Dynare documentation, including the reference
 manual.

Package: dynare-matlab
Architecture: all
Section: contrib/math
Depends: ${misc:Depends},
         dynare (>= ${source:Version}),
         matlab-support,
         gcc,
         g++,
         gfortran,
         libboost-graph-dev,
         libgsl-dev,
         libslicot-pic,
         libsuitesparse-dev,
         flex,
         libfl-dev,
         bison,
         meson,
         pkgconf
Description: MATLAB support for Dynare
 Dynare is a software platform for handling a wide class of economic models, in
 particular dynamic stochastic general equilibrium (DSGE) and overlapping
 generations (OLG) models. The models solved by Dynare include those relying on
 the rational expectations hypothesis, wherein agents form their expectations
 about the future in a way consistent with the model. But Dynare is also able
 to handle models where expectations are formed differently: on one extreme,
 models where agents perfectly anticipate the future; on the other extreme,
 models where agents have limited rationality or imperfect knowledge of the
 state of the economy and, hence, form their expectations through a learning
 process. In terms of types of agents, models solved by Dynare can incorporate
 consumers, productive firms, governments, monetary authorities, investors and
 financial intermediaries. Some degree of heterogeneity can be achieved by
 including several distinct classes of agents in each of the aforementioned
 agent categories.
 .
 Dynare offers a user-friendly and intuitive way of describing these models. It
 is able to perform simulations of the model given a calibration of the model
 parameters and is also able to estimate these parameters given a dataset. In
 practice, the user will write a text file containing the list of model
 variables, the dynamic equations linking these variables together, the
 computing tasks to be performed and the desired graphical or numerical
 outputs.
 .
 This package is only useful to users having MATLAB installed on their
 machine. It contains the source of the MEX files and will recompile them using
 the existing MATLAB installation.

## dynare 6.1

=== debian/changelog ===
dynare (6.1-3build1) oracular; urgency=medium

  * Rebuild against new libgsl28.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 30 Jul 2024 08:35:53 +0200

dynare (6.1-3) unstable; urgency=medium

  * Rebuild against newer dh-elpa (Closes: #1077101)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 28 Jul 2024 11:30:03 +0200

dynare (6.1-2) unstable; urgency=medium

  * d/control: add cm-super to Build-Depends.
    Fixes FTBFS against recent TeX Live versions.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 04 Jun 2024 16:20:32 +0200

dynare (6.1-1) unstable; urgency=medium

  * New upstream version 6.1

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 02 May 2024 17:35:48 +0200

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
                texlive-science,
                texlive-plain-generic,
                lmodern,
+               cm-super,
                python3-sphinx,
                latexmk,
                libjs-mathjax

## dynare 6.2

=== windows/deps/Makefile ===
# Copyright © 2017-2023 Dynare Team
#
# This file is part of Dynare.
#
# Dynare is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Dynare is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Dynare.  If not, see <https://www.gnu.org/licenses/>.

include versions.mk

ROOT_PATH = $(realpath .)

WGET_OPTIONS := --no-verbose --no-use-server-timestamps --retry-connrefused --retry-on-host-error

# See comments in scripts/windows-cross.ini
FFLAGS := -O3 -march=nocona -msahf -mtune=generic

.PHONY: all build octave matlab msys2 \
	build build-slicot build-x13as \
	clean-lib clean-libslicot clean-matlab clean-octave clean-msys2 clean-x13as-bin \
	clean-src clean-slicot-src clean-x13as-src \
	clean-tar clean-slicot-tar clean-x13as-tar \
	clean-all clean-lib clean-src clean-tar

all: build octave matlab msys2 x13as

build: build-slicot

clean-lib: clean-libslicot clean-matlab clean-octave clean-msys2 clean-x13as-bin

clean-src: clean-slicot-src clean-x13as-src

clean-tar: clean-slicot-tar clean-x13as-tar

clean-all: clean-lib clean-src clean-tar

#
# Slicot
#

tarballs/slicot-$(SLICOT_VERSION).tar.gz:
	mkdir -p tarballs
	wget $(WGET_OPTIONS) -O $@ https://deb.debian.org/debian/pool/main/s/slicot/slicot_$(SLICOT_VERSION).orig.tar.gz

sources64/slicot-$(SLICOT_VERSION)-with-64bit-integer: tarballs/slicot-$(SLICOT_VERSION).tar.gz
	rm -rf sources64/slicot-*-with-64bit-integer
	mkdir -p $@
	tar xf $< --directory $@ --strip-components=1
	touch $@

sources64/slicot-$(SLICOT_VERSION)-with-32bit-integer-and-underscore: tarballs/slicot-$(SLICOT_VERSION).tar.gz
	rm -rf sources64/slicot-*-with-32bit-integer-and-underscore
	mkdir -p $@
	tar xf $< --directory $@ --strip-components=1
	touch $@

lib64/Slicot/without-underscore/libslicot64_pic.a: sources64/slicot-$(SLICOT_VERSION)-with-64bit-integer
	make -C $< lib SLICOTLIB=../libslicot64_pic.a OPTS="$(FFLAGS) -fno-underscoring -fdefault-integer-8" FORTRAN=x86_64-w64-mingw32-gfortran LOADER=x86_64-w64-mingw32-gfortran ARCH=x86_64-w64-mingw32-ar
	x86_64-w64-mingw32-strip --strip-debug $</libslicot64_pic.a
	mkdir -p $(dir $@)
	cp $</libslicot64_pic.a $@

lib64/Slicot/with-underscore/libslicot_pic.a: sources64/slicot-$(SLICOT_VERSION)-with-32bit-integer-and-underscore
	make -C $< lib SLICOTLIB=../libslicot_pic.a OPTS="$(FFLAGS)" FORTRAN=x86_64-w64-mingw32-gfortran LOADER=x86_64-w64-mingw32-gfortran ARCH=x86_64-w64-mingw32-ar
	x86_64-w64-mingw32-strip --strip-debug $</libslicot_pic.a
	mkdir -p $(dir $@)
	cp $</libslicot_pic.a $@

build-slicot: lib64/Slicot/without-underscore/libslicot64_pic.a \
	lib64/Slicot/with-underscore/libslicot_pic.a

clean-slicot-tar:
	rm -f tarballs/slicot-$(SLICOT_VERSION).tar.gz

clean-slicot-src:
	rm -rf sources64/slicot-$(SLICOT_VERSION)-with-64bit-integer
	rm -rf sources64/slicot-$(SLICOT_VERSION)-with-32bit-integer-and-underscore

clean-libslicot:
	rm -rf lib64/Slicot

clean-slicot-all: clean-slicot-src clean-slicot-tar clean-libslicot

#
# Octave
#

tarballs/octave-${OCTAVE_VERSION}${OCTAVE_W64_BUILD}-w64.7z:
	mkdir -p tarballs
	wget $(WGET_OPTIONS) -O $@ https://ftp.gnu.org/gnu/octave/windows/$(notdir $@)

octave64: tarballs/octave-${OCTAVE_VERSION}${OCTAVE_W64_BUILD}-w64.7z
	rm -rf $@
	7zr x $< > /dev/null
	mv octave-${OCTAVE_VERSION}-w64 $@
	# Clean up MinGW stuff that interferes with our cross-compiler
	cd $@/mingw64/lib && rm -f libadvapi32.a libkernel32.a libmingw32.a libmingwex.a libmoldname.a libmsvcrt.a libpthread.dll.a libshell32.a libuser32.a
	cd $@/mingw64/include && rm -f $$(grep -l "This file is part of the mingw-w64 runtime package" *.h) omp.h
	touch $@

octave: octave64

clean-octave:
	rm -rf octave64
	rm -f tarballs/octave-${OCTAVE_VERSION}${OCTAVE_W64_BUILD}-w64.7z

#
# MATLAB
#

tarballs/matlab%.tar.xz:
	mkdir -p tarballs
	wget $(WGET_OPTIONS) -O $@.gpg https://www.dynare.org/windows-pkg-build/$(notdir $@).gpg
	gpg --output $@ --decrypt $@.gpg
	rm $@.gpg

matlab64: tarballs/matlab64-$(MATLAB64_VERSION).tar.xz
	rm -rf $@
	mkdir -p $@
	tar xf $< --directory $@
	touch $@

matlab: matlab64

clean-matlab:
	rm -f tarballs/matlab64*.tar.xz
	rm -rf matlab64

#
# Stuff downloaded from MSYS2:
# - several build dependencies
# - the embedded MinGW compiler (for use_dll)
#

msys2: lib64-msys2 mingw64

MSYS2_EXCLUDES := --exclude .MTREE --exclude .BUILDINFO --exclude .PKGINFO

lib64-msys2: tarballs/mingw-w64-x86_64-boost-$(MINGW64_BOOST_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-gsl-$(MINGW64_GSL_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-matio-$(MINGW64_MATIO_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-zlib-$(MINGW64_ZLIB_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-hdf5-$(MINGW64_HDF5_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-libaec-$(MINGW64_LIBAEC_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-openssl-$(MINGW64_OPENSSL_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-curl-$(MINGW64_CURL_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-zstd-$(MINGW64_ZSTD_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-brotli-$(MINGW64_BROTLI_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-libidn2-$(MINGW64_LIBIDN2_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-libpsl-$(MINGW64_LIBPSL_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-libssh2-$(MINGW64_LIBSSH2_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-nghttp2-$(MINGW64_NGHTTP2_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-libiconv-$(MINGW64_LIBICONV_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-libunistring-$(MINGW64_LIBUNISTRING_VERSION)-any.pkg.tar.zst
	rm -rf $@
	mkdir $@
	for f in $^; do tar xf $$f --directory $@ $(MSYS2_EXCLUDES); done
	touch $@

mingw64: tarballs/mingw-w64-x86_64-gcc-$(MINGW64_GCC_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-gcc-libs-$(MINGW64_GCC_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-gmp-$(MINGW64_GMP_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-binutils-$(MINGW64_BINUTILS_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-headers-git-$(MINGW64_HEADERS_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-crt-git-$(MINGW64_CRT_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-winpthreads-git-$(MINGW64_WINPTHREADS_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-libwinpthread-git-$(MINGW64_WINPTHREADS_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-zlib-$(MINGW64_ZLIB_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-zstd-$(MINGW64_ZSTD_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-isl-$(MINGW64_ISL_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-mpc-$(MINGW64_MPC_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-mpfr-$(MINGW64_MPFR_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-libiconv-$(MINGW64_LIBICONV_VERSION)-any.pkg.tar.zst tarballs/mingw-w64-x86_64-windows-default-manifest-$(MINGW64_WINDOWS_DEFAULT_MANIFEST_VERSION)-any.pkg.tar.zst
	rm -rf $@
	for f in $^; do tar xf $$f $(MSYS2_EXCLUDES); done
	touch $@

tarballs/mingw-w64-x86_64-%-any.pkg.tar.zst:
	mkdir -p tarballs
	wget $(WGET_OPTIONS) -O $@ https://www.dynare.org/windows-pkg-build/msys2/6.x/$(notdir $@)

clean-msys2:
	rm -rf lib64-msys2
	rm -rf mingw64
	rm -f tarballs/mingw-w64-x86_64-*.tar.zst

#
# X13AS
#

tarballs/x13as_ascii-v$(X13AS_VERSION).zip:
	mkdir -p tarballs
	wget $(WGET_OPTIONS) -O $@ https://www2.census.gov/software/x-13arima-seats/x13as/windows/program-archives/$(notdir $@)

lib64/x13as/x13as.exe: tarballs/x13as_ascii-v$(X13AS_VERSION).zip
	unzip -o -d lib64 $<
	mv lib64/x13as/x13as_ascii.exe $@

x13as: lib64/x13as/x13as.exe

clean-x13as-tar:
	rm -f tarballs/x13as_ascii-v$(X13AS_VERSION).zip

clean-x13as-bin:
	rm -rf lib64/x13as

clean-x13as-all: clean-x13as-tar clean-x13as-bin

=== debian/changelog ===
dynare (6.2-2) unstable; urgency=medium

  * sphinx8.patch: new patch, fixes FTBFS against Sphinx 8 (Closes: #1090208)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 23 Dec 2024 15:59:03 +0100

dynare (6.2-1) unstable; urgency=medium

  * New upstream version 6.2
  * d/copyright: reflect upstream changes
  * Bump Standards-Version to 4.7.0

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 26 Sep 2024 11:37:29 +0200

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                python3-sphinx,
                latexmk,
                libjs-mathjax
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dynare
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dynare.git
 Homepage: https://www.dynare.org/

## dynare 6.3

=== meson_options.txt ===
# TODO: Rename this file to meson.options when meson ⩾ 1.1 is required
option('build_for', type : 'combo', choices : [ 'matlab', 'octave' ], description : 'Whether to build for MATLAB or Octave')
option('matlab_path', type : 'string', description : 'Absolute directory containing the MATLAB installation')
option('mathjax_path', type : 'string', description : 'Path to the MathJax JavaScript file to include in the HTML documentation produced by Sphinx; leave empty to use the default CDN')

=== windows/deps/Makefile ===
--- 
+++ 
@@ -104,7 +104,7 @@
 	mv octave-${OCTAVE_VERSION}-w64 $@
 	# Clean up MinGW stuff that interferes with our cross-compiler
 	cd $@/mingw64/lib && rm -f libadvapi32.a libkernel32.a libmingw32.a libmingwex.a libmoldname.a libmsvcrt.a libpthread.dll.a libshell32.a libuser32.a
-	cd $@/mingw64/include && rm -f $$(grep -l "This file is part of the mingw-w64 runtime package" *.h) omp.h
+	cd $@/mingw64/include && rm -f $$(grep -l "This file is part of the mingw-w64 runtime package" *.h) minwinbase.h omp.h swprintf.inl
 	touch $@
 
 octave: octave64

=== debian/changelog ===
dynare (6.3-1) unstable; urgency=medium

  * New upstream version 6.3
  * d/copyright: reflect upstream changes
  * sphinx8.patch: drop patch, applied upstream

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 20 Feb 2025 10:57:36 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=optimize=+lto

include /usr/share/octave/debian/defs.make

# The following is used by dh_elpa(1) for determining the package version number
include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION_UPSTREAM

# Needed for texlive to respect SOURCE_DATE_EPOCH when setting date (#974957)
export FORCE_SOURCE_DATE=1

%:
	dh $@ --with sphinxdoc,elpa

override_dh_auto_configure:
	dh_auto_configure -- -Dbuild_for=octave -Dmathjax_path=/usr/share/javascript/mathjax/MathJax.js?config=TeX-AMS-MML_HTMLorMML

override_dh_auto_build:
# Also build PDF and HTML docs (unless nodoc is given)
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	dh_auto_build -- all doc
	rm -rf doc/manual/utils/__pycache__/ # This must not end up in dynare-matlab
else
	dh_auto_build
endif

# Don't run the testsuite
override_dh_auto_test:

override_dh_link:
	dh_link --package=dynare /usr/lib/dynare/matlab/dynare.m $(MDIR)/dynare.m

# Generate a versioned dependency on octave, and a dependency on the virtual octave-abi-NN
execute_before_dh_gencontrol:
	dh_octave_substvar

=== debian/tests/control ===
Tests: ramst
Depends: dynare, gnuplot-nox, fonts-freefont-otf, epstool
Restrictions: allow-stderr, superficial

Tests: example1
Depends: dynare, gnuplot-nox, fonts-freefont-otf, epstool
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
https://www.dynare.org/release/source/ dynare-(.*)\.tar\.xz

## dynare 6.4

=== macOS/Makefile ===
# Copyright © 2019-2023 Dynare Team
#
# This file is part of Dynare.
#
# Dynare is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Dynare is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Dynare.  If not, see <https://www.gnu.org/licenses/>.

ARCHS = arm64 x86_64
BUILDS = $(addprefix build-, $(ARCHS))
DEPS = $(addprefix deps-, $(ARCHS))
CLEAN_DEPS = $(addprefix clean-deps-, $(ARCHS))
CLEAN_ALL = $(addprefix clean-all-, $(ARCHS))

.PHONY: all $(BUILDS) $(DEPS) clean-pkg $(CLEAN_DEPS) $(CLEAN_ALL) clean-all

all: $(BUILDS)

$(BUILDS): build-%: deps-%
	./build.sh $*

$(DEPS): deps-%:
	make -C deps DEPS_ARCH=$*

$(CLEAN_DEPS): clean-deps-%:
	make -C deps clean-all DEPS_ARCH=$*

clean-pkg:
	rm -rf pkg

$(CLEAN_ALL): clean-all-%: clean-deps-% clean-pkg

clean-all: $(CLEAN_ALL)

=== windows/Makefile ===
# Copyright © 2017-2022 Dynare Team
#
# This file is part of Dynare.
#
# Dynare is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Dynare is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Dynare.  If not, see <https://www.gnu.org/licenses/>.

.PHONY: build deps clean-deps clean clean-all install

NTHREADS=$(shell nproc)

build: deps
	./build.sh

deps:
	make -C deps -j$(NTHREADS)

clean-deps:
	make -C deps clean-all

clean:
	rm -rf exe/ 7z/ zip/

clean-all: clean-deps clean

install:
	./install-packages.sh

=== macOS/deps/Makefile ===
# Copyright © 2019-2023 Dynare Team
#
# This file is part of Dynare.
#
# Dynare is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Dynare is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Dynare.  If not, see <https://www.gnu.org/licenses/>.

include versions.mk

# settings for different architectures
DEPS_ARCH ?= x86_64 # use x86_64 by default

BREWDIR := $(if $(filter arm64,$(DEPS_ARCH)),/opt/homebrew,/usr/local)

GCC_VERSION = $(shell sed -En "/^c[[:space:]]*=/s/c[[:space:]]*=[[:space:]]*'.*gcc-([0-9]+)'/\1/p" ../homebrew-native-$(DEPS_ARCH).ini)

ROOT_PATH = $(realpath .)

WGET_OPTIONS := --no-verbose --no-use-server-timestamps --retry-connrefused --retry-on-host-error

NTHREADS=$(shell sysctl -n hw.perflevel0.physicalcpu)

.PHONY: all build build-slicot build-x13as \
	clean-lib clean-libslicot clean-x13as-bin \
	clean-src clean-slicot-src clean-x13as-src \
	clean-tar clean-slicot-tar clean-x13as-tar \
	clean-all clean-lib clean-src clean-tar

all: build

build: build-slicot build-x13as

clean-lib: clean-libslicot clean-x13as-bin

clean-src: clean-slicot-src clean-x13as-src

clean-tar: clean-slicot-tar clean-x13as-tar

clean-all: clean-lib clean-src clean-tar

#
# slicot
#
tarballs/slicot-$(SLICOT_VERSION).tar.gz:
	mkdir -p tarballs
	wget $(WGET_OPTIONS) -O $@ https://deb.debian.org/debian/pool/main/s/slicot/slicot_$(SLICOT_VERSION).orig.tar.gz

$(DEPS_ARCH)/sources64/slicot-$(SLICOT_VERSION): tarballs/slicot-$(SLICOT_VERSION).tar.gz
	rm -rf $(DEPS_ARCH)/sources64/slicot-*
	mkdir -p $@
	tar xf $< --directory $@ --strip-components=1
	touch $@

$(DEPS_ARCH)/lib64/slicot/libslicot64_pic.a: $(DEPS_ARCH)/sources64/slicot-$(SLICOT_VERSION)
	make -C $< FORTRAN=$(BREWDIR)/bin/gfortran LOADER=$(BREWDIR)/bin/gfortran SLICOTLIB=../libslicot64_pic.a OPTS="-O3 -fdefault-integer-8" lib -j$(NTHREADS)
	strip -S $</libslicot64_pic.a
	mkdir -p $(dir $@)
	cp $</libslicot64_pic.a $@

build-slicot: $(DEPS_ARCH)/lib64/slicot/libslicot64_pic.a

clean-slicot-tar:
	rm -f tarballs/slicot-$(SLICOT_VERSION).tar.gz

clean-slicot-src:
	rm -rf $(DEPS_ARCH)/sources64/slicot-$(SLICOT_VERSION)

clean-libslicot:
	rm -rf $(DEPS_ARCH)/lib64/slicot

clean-slicot-all: clean-slicot-src clean-slicot-tar clean-libslicot



#
# X13AS
#
tarballs/x13as_asciisrc-v$(X13AS_VERSION).tar.gz:
	mkdir -p tarballs
	wget $(WGET_OPTIONS) -O $@ https://www2.census.gov/software/x-13arima-seats/x13as/unix-linux/program-archives/x13as_asciisrc-v$(X13AS_VERSION).tar.gz

$(DEPS_ARCH)/sources64/x13as-$(X13AS_VERSION): tarballs/x13as_asciisrc-v$(X13AS_VERSION).tar.gz
	rm -rf $(DEPS_ARCH)/sources64/x13as-*
	mkdir -p $@
	tar xf $< --directory $@

$(DEPS_ARCH)/lib64/x13as/x13as: $(DEPS_ARCH)/sources64/x13as-$(X13AS_VERSION)
	# Statically link x13as (see #1865).
	# Using -static is not possible, it does not work under Darwin.
	# Implement an ugly workaround in the absence of -static-libquadmath flag.
	# In particular, gcc must be used as the linker, because gfortran does not
	# honour static linking of libquadmath.
	# Once the -static-libquadmath flag is added (GCC 13? ; see
	# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=46539), go back to using
	# gfortran as the linker with -static-libgfortran and
	# -static-libquadmath flags, and drop the GCC_VERSION variable.
	cd $< && sed -i '' 's/-static//g' makefile.gf
	make -C $< -f makefile.gf FC=$(BREWDIR)/bin/gfortran LINKER=$(BREWDIR)/bin/gcc-$(GCC_VERSION) FFLAGS="-O3 -std=legacy" LDFLAGS=-static-libgcc LIBS="$(BREWDIR)/lib/gcc/$(GCC_VERSION)/libgfortran.a $(BREWDIR)/lib/gcc/$(GCC_VERSION)/libquadmath.a" PROGRAM=x13as -j$(NTHREADS)

	strip $</x13as
	mkdir -p $(dir $@)
	cp $</x13as $@

build-x13as: $(DEPS_ARCH)/lib64/x13as/x13as

clean-x13as-tar:
	rm -f tarballs/x13as_asciisrc-v$(X13AS_VERSION).tar.gz

clean-x13as-src:
	rm -rf $(DEPS_ARCH)/sources64/x13as-$(X13AS_VERSION)

clean-x13as-bin:
	rm -rf $(DEPS_ARCH)/lib64/x13as

clean-x13as-all: clean-x13as-tar clean-x13as-src clean-x13as-bin

=== matlab/dseries/Makefile ===
OCTAVE ?= octave-cli
MATLAB ?= matlab

all: check-octave check-matlab

m-unit-tests/src/mtest.m:
	git clone https://git.dynare.org/Dynare/m-unit-tests

check-octave: m-unit-tests/src/mtest.m
	@cd tests ;\
	$(OCTAVE) --no-init-file --silent --no-history --eval "addpath([pwd() '/../m-unit-tests/src']); runalltests" && [ ! -f ./failed ] && [ -f ./pass ]

check-matlab: m-unit-tests/src/mtest.m
	@$(MATLAB)  -nosplash -nodisplay -r "addpath([pwd '/m-unit-tests/src']); cd tests; runalltests; quit" && [ ! -f ./tests/failed ] && [ -f ./tests/pass ]

check-clean:
	rm -f tests/*_test_*.m tests/*.csv tests/*.xls tests/*.xlsx tests/*.mat tests/failed tests/datafile_for_test
	rm -f git.info git.last-commit-hash tests/pass tests/failed tests/*.spc
	rm -rf m-unit-tests

=== windows/deps/Makefile ===
--- 
+++ 
@@ -104,7 +104,7 @@
 	mv octave-${OCTAVE_VERSION}-w64 $@
 	# Clean up MinGW stuff that interferes with our cross-compiler
 	cd $@/mingw64/lib && rm -f libadvapi32.a libkernel32.a libmingw32.a libmingwex.a libmoldname.a libmsvcrt.a libpthread.dll.a libshell32.a libuser32.a
-	cd $@/mingw64/include && rm -f $$(grep -l "This file is part of the mingw-w64 runtime package" *.h) minwinbase.h omp.h swprintf.inl
+	cd $@/mingw64/include && rm -f $$(grep -l "This file is part of the \\(mingw-w64 runtime\\|mingw-runtime\\) package" *.h) minwinbase.h omp.h swprintf.inl
 	touch $@
 
 octave: octave64

=== matlab/utilities/tests/doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/m-unit-tests.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/m-unit-tests.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/m-unit-tests"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/m-unit-tests"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== mex/sources/block_trust_region/test/Makefile ===
FC = gfortran
FCFLAGS = -g -Wall

all: dulmage_mendelsohn_test trust_region_test

dulmage_mendelsohn_test: dulmage_mendelsohn.o dulmage_mendelsohn_test.o
	$(FC) $(FCFLAGS) $^ -o $@

dulmage_mendelsohn_test.o: dulmage_mendelsohn_test.f08 dulmage_mendelsohn.mod
	$(FC) $(FCFLAGS) -c $< -o $@

dulmage_mendelsohn.mod: dulmage_mendelsohn.o

dulmage_mendelsohn.o: ../dulmage_mendelsohn.f08
	$(FC) $(FCFLAGS) -c $< -o $@

trust_region_test: trust_region.o trust_region_test.o
	$(FC) $(FCFLAGS) $^ -o $@ -llapack -lblas

trust_region_test.o: trust_region_test.f08 trust_region.mod
	$(FC) $(FCFLAGS) -c $< -o $@

trust_region.mod: trust_region.o

trust_region.o: ../trust_region.f08 lapack.mod
	$(FC) $(FCFLAGS) -c $< -o $@

blas_lapack.o: ../../blas_lapack.F08
	$(FC) $(FCFLAGS) -c $< -o $@

lapack.mod: blas_lapack.o

clean:
	rm -f *.o *.mod dulmage_mendelsohn_test trust_region_test

=== debian/changelog ===
dynare (6.4-3) unstable; urgency=medium

  * d/rules: pass Octave private libraries path to dh_shlibdeps.
    Necessary for finding liboctmex and liboctave against which MEX files are
    linked. (Closes: #1114630)
  * d/watch: upgrade to format version 5

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 13 Sep 2025 16:40:03 +0200

dynare (6.4-2) unstable; urgency=medium

  * Upload to unstable
  * Drop “Rules-Requires-Root: no”, which is now the default

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 10 Aug 2025 03:45:02 +0200

dynare (6.4-1) experimental; urgency=medium

  * New upstream version 6.4
  * Bump S-V to 4.7.2

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 27 Jun 2025 11:04:03 +0200

=== debian/control ===
--- 
+++ 
@@ -30,11 +30,10 @@
                python3-sphinx,
                latexmk,
                libjs-mathjax
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/dynare
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/dynare.git
 Homepage: https://www.dynare.org/
-Rules-Requires-Root: no
 
 Package: dynare
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,10 @@
 override_dh_link:
 	dh_link --package=dynare /usr/lib/dynare/matlab/dynare.m $(MDIR)/dynare.m
 
+# See #1114630
+override_dh_shlibdeps:
+	dh_shlibdeps -l/usr/lib/${DEB_HOST_MULTIARCH}/octave/$(shell octave-config -p VERSION)
+
 # Generate a versioned dependency on octave, and a dependency on the virtual octave-abi-NN
 execute_before_dh_gencontrol:
 	dh_octave_substvar

=== debian/watch ===
Version: 5

Source: https://www.dynare.org/release/source/
Matching-Pattern: dynare-(.*)\.tar\.xz

## dynare 6.5

=== windows/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	make -C deps clean-all
 
 clean:
-	rm -rf exe/ 7z/ zip/
+	rm -rf exe/ 7z/
 
 clean-all: clean-deps clean

=== macOS/deps/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2019-2023 Dynare Team
+# Copyright © 2019-2025 Dynare Team
 #
 # This file is part of Dynare.
 #
@@ -62,7 +62,7 @@
 	touch $@
 
 $(DEPS_ARCH)/lib64/slicot/libslicot64_pic.a: $(DEPS_ARCH)/sources64/slicot-$(SLICOT_VERSION)
-	make -C $< FORTRAN=$(BREWDIR)/bin/gfortran LOADER=$(BREWDIR)/bin/gfortran SLICOTLIB=../libslicot64_pic.a OPTS="-O3 -fdefault-integer-8" lib -j$(NTHREADS)
+	gmake -C $< FORTRAN=$(BREWDIR)/bin/gfortran LOADER=$(BREWDIR)/bin/gfortran SLICOTLIB=../libslicot64_pic.a OPTS="-O3 -fdefault-integer-8" lib -j$(NTHREADS)
 	strip -S $</libslicot64_pic.a
 	mkdir -p $(dir $@)
 	cp $</libslicot64_pic.a $@
@@ -87,7 +87,7 @@
 #
 tarballs/x13as_asciisrc-v$(X13AS_VERSION).tar.gz:
 	mkdir -p tarballs
-	wget $(WGET_OPTIONS) -O $@ https://www2.census.gov/software/x-13arima-seats/x13as/unix-linux/program-archives/x13as_asciisrc-v$(X13AS_VERSION).tar.gz
+	wget $(WGET_OPTIONS) -O $@ https://www.dynare.org/pkg-build/x13as/source/x13as_asciisrc-v$(X13AS_VERSION).tar.gz
 
 $(DEPS_ARCH)/sources64/x13as-$(X13AS_VERSION): tarballs/x13as_asciisrc-v$(X13AS_VERSION).tar.gz
 	rm -rf $(DEPS_ARCH)/sources64/x13as-*
@@ -105,7 +105,7 @@
 	# gfortran as the linker with -static-libgfortran and
 	# -static-libquadmath flags, and drop the GCC_VERSION variable.
 	cd $< && sed -i '' 's/-static//g' makefile.gf
-	make -C $< -f makefile.gf FC=$(BREWDIR)/bin/gfortran LINKER=$(BREWDIR)/bin/gcc-$(GCC_VERSION) FFLAGS="-O3 -std=legacy" LDFLAGS=-static-libgcc LIBS="$(BREWDIR)/lib/gcc/$(GCC_VERSION)/libgfortran.a $(BREWDIR)/lib/gcc/$(GCC_VERSION)/libquadmath.a" PROGRAM=x13as -j$(NTHREADS)
+	gmake -C $< -f makefile.gf FC=$(BREWDIR)/bin/gfortran LINKER=$(BREWDIR)/bin/gcc-$(GCC_VERSION) FFLAGS="-O3 -std=legacy" LDFLAGS=-static-libgcc LIBS="$(BREWDIR)/lib/gcc/$(GCC_VERSION)/libgfortran.a $(BREWDIR)/lib/gcc/$(GCC_VERSION)/libquadmath.a" PROGRAM=x13as -j$(NTHREADS)
 
 	strip $</x13as
 	mkdir -p $(dir $@)

=== windows/deps/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2017-2023 Dynare Team
+# Copyright © 2017-2025 Dynare Team
 #
 # This file is part of Dynare.
 #
@@ -96,7 +96,7 @@
 
 tarballs/octave-${OCTAVE_VERSION}${OCTAVE_W64_BUILD}-w64.7z:
 	mkdir -p tarballs
-	wget $(WGET_OPTIONS) -O $@ https://ftp.gnu.org/gnu/octave/windows/$(notdir $@)
+	wget $(WGET_OPTIONS) -O $@ https://ftpmirror.gnu.org/gnu/octave/windows/$(notdir $@)
 
 octave64: tarballs/octave-${OCTAVE_VERSION}${OCTAVE_W64_BUILD}-w64.7z
 	rm -rf $@
@@ -119,7 +119,7 @@
 
 tarballs/matlab%.tar.xz:
 	mkdir -p tarballs
-	wget $(WGET_OPTIONS) -O $@.gpg https://www.dynare.org/windows-pkg-build/$(notdir $@).gpg
+	wget $(WGET_OPTIONS) -O $@.gpg https://www.dynare.org/pkg-build/$(notdir $@).gpg
 	gpg --output $@ --decrypt $@.gpg
 	rm $@.gpg
 
@@ -158,7 +158,7 @@
 
 tarballs/mingw-w64-x86_64-%-any.pkg.tar.zst:
 	mkdir -p tarballs
-	wget $(WGET_OPTIONS) -O $@ https://www.dynare.org/windows-pkg-build/msys2/6.x/$(notdir $@)
+	wget $(WGET_OPTIONS) -O $@ https://www.dynare.org/pkg-build/msys2/6.x/$(notdir $@)
 
 clean-msys2:
 	rm -rf lib64-msys2
@@ -171,7 +171,7 @@
 
 tarballs/x13as_ascii-v$(X13AS_VERSION).zip:
 	mkdir -p tarballs
-	wget $(WGET_OPTIONS) -O $@ https://www2.census.gov/software/x-13arima-seats/x13as/windows/program-archives/$(notdir $@)
+	wget $(WGET_OPTIONS) -O $@ https://www.dynare.org/pkg-build/x13as/windows/$(notdir $@)
 
 lib64/x13as/x13as.exe: tarballs/x13as_ascii-v$(X13AS_VERSION).zip
 	unzip -o -d lib64 $<

=== debian/changelog ===
dynare (6.5-1build1) resolute; urgency=medium

  * No-change rebuild for libmatio14.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 31 Jan 2026 12:26:23 +0000

dynare (6.5-1) unstable; urgency=medium

  * New upstream version 6.5

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 20 Dec 2025 20:31:06 +0100

dynare (6.4-4) unstable; urgency=medium

  * Rebuild against libslicot5
  * d/control: dynare-matlab now depends on libslicot64-pic.
    The ILP64 static PIC library is no longer in libslicot-pic.
  * d/rules: simplify obtaining the Octave library directory path

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 18 Nov 2025 10:14:01 +0100
